UserDictionary (Lucene 10.5.0 kuromoji API)
Description: declaration: package: org.apache.lucene.analysis.ja.dict, class: UserDictionary

Package org.apache.lucene.analysis.ja.dict

# Class UserDictionary

java.lang.Object
org.apache.lucene.analysis.ja.dict.UserDictionary

All Implemented Interfaces:
  `Dictionary<org.apache.lucene.analysis.ja.dict.UserMorphData>`

public final class UserDictionary extends Object implements Dictionary<org.apache.lucene.analysis.ja.dict.UserMorphData>
Class for building a User Dictionary. This class allows for custom segmentation of phrases.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `INTERNAL_SEPARATOR`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `TokenInfoFST`
  `getFST()`
  `org.apache.lucene.analysis.ja.dict.UserMorphData`
  `getMorphAttributes()`
  `int[][]`
  `lookup(char[] chars, int off, int len)`
  Lookup words in text
  `int[]`
  `lookupSegmentation(int phraseID)`
  `static UserDictionary`
  `open(Reader reader)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.apache.lucene.analysis.morph.Dictionary

  `getLeftId, getRightId, getWordCost`

- ## Field Details

  - ### INTERNAL_SEPARATOR

    public static final String INTERNAL_SEPARATOR
    See Also:
      - Constant Field Values

- ## Method Details

  - ### open

    public static UserDictionary open(Reader reader) throws IOException
    Throws:
      `IOException`

  - ### getMorphAttributes

    public org.apache.lucene.analysis.ja.dict.UserMorphData getMorphAttributes()
    Specified by:
      `getMorphAttributes` in interface `Dictionary<org.apache.lucene.analysis.ja.dict.UserMorphData>`

  - ### lookup

    public int[][] lookup(char[] chars, int off, int len) throws IOException
    Lookup words in text
    Parameters:
      `chars` - text
      `off` - offset into text
      `len` - length of text
    Returns:
      array of {wordId, position, length}
    Throws:
      `IOException`

  - ### getFST

    public TokenInfoFST getFST()

  - ### lookupSegmentation

    public int[] lookupSegmentation(int phraseID)